## shorewall 5.2.3.2

=== debian/changelog ===
shorewall (5.2.3.2-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 23 Mar 2019 21:40:05 -0400

shorewall (5.2.3.1-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 28 Feb 2019 17:58:07 -0500

shorewall (5.2.3-1) unstable; urgency=medium

  * New Upstream Version

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 22 Feb 2019 23:30:48 -0500
