=== debian/control ===
Source: shorewall
Section: net
Priority: optional
Maintainer: Roberto C. Sanchez <roberto@connexer.com>
Homepage: http://www.shorewall.net
Build-Depends: debhelper (>= 9), po-debconf
Standards-Version: 4.3.0
Vcs-Browser: https://sourceforge.net/p/shorewall/debian/ci/shorewall/master/~/tree/
Vcs-Git: git://git.code.sf.net/p/shorewall/debian

Package: shorewall
Architecture: all
Depends: shorewall-core (>= ${shorewall:current}),
 shorewall-core (<< ${shorewall:next}),
 iptables (>= 1.3.8),
 iproute2 | iproute,
 debconf (>= 1.4.69) | cdebconf (>= 0.39),
 perl,
 bc,
 lsb-base (>= 3.0-6),
 ${misc:Depends}
Recommends: libnetfilter-cthelper0
Suggests: shorewall-doc, make
Replaces: shorewall-common, shorewall-perl, shorewall-shell
Description: Shoreline Firewall, netfilter configurator
 Shorewall allows firewall/gateway requirements to be described using
 entries in a set of configuration files. It reads those configuration
 files and, with the help of the iptables utility, configures
 netfilter to match these requirements.
 .
 Shorewall supports a wide range of router/firewall/gateway applications,
 traffic shaping and almost every type of VPN.
