## shorewall 5.2.8

=== debian/changelog ===
shorewall (5.2.8-2) unstable; urgency=medium

  * d/rules: adjust disabling of shorewall-doc rules
  * d/patches: add fix for `stop` command to shorewall.8
  * Support `SAFESTOP` under systemd (Closes: #992852)
  * d/p/03_init_script_fix.patch: update `Forwarded:` link
  * d/patches: update patches which have been applied upstream
  * d/patches: add patch to fix parsing of `ip addr show` output
    (Closes: 1030733)
  * d/control: run wrap-and-sort

 -- Jeremy Sowden <jeremy@azazel.net>  Sat, 18 Feb 2023 12:56:48 +0000

shorewall (5.2.8-1) unstable; urgency=medium

  * Change AUTOHELPERS default value to 'No' (closes: #959119).
  * debian/*.postrm: Fix typos.
  * Upload to unstable.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 31 Jan 2023 17:42:53 +0100

shorewall (5.2.8-1~exp1) experimental; urgency=medium

  [ Jeremy Sowden ]
  * New upstream version 5.2.8 (Closes: #588349, #956106, #960211, #971430,
    #986152, #1002852)
    .
    Upstream releases a separate tar-ball for each Shorewall component,
    and in previous releases, each binary Debian package has had its own
    source package corresponding to one of the upstream tar-balls, with
    its packaging managed separately in git.  In order to reduce the
    maintenance effort, in this release all the upstream tar-balls and
    their related packaging have been consolidated to create one source
    package.
  * d/watch
    + bump version to 4
    + use pgpmode=auto
    + use substitution strings in URL
    + use HTTPS URL
    + watch all upstream tar-balls
  * d/gbp.conf
    + default: set debian and upstream branches and tag-formats
    + default: sign tags
    + dch: set commit-msg format.
    + import-orig: set `pristine-tar` to true.
    + import-orig: import upstream sigs
    + add support for importing all upstream tar-balls
  * Remove non-functional debconf templates
  * Update 5.2.3.1-1 packaging for shorewall to support new source layout
    and merge of other components
  * Merge 5.2.3.1-1 packaging for shorewall6
  * Merge 5.2.3.1-1 packaging for shorewall6-lite
  * Merge 5.2.3.1-1 packaging for shorewall-core
  * Merge 5.2.3.1-1 packaging for shorewall-doc
  * Merge 5.2.3.1-1 packaging for shorewall-init
  * Merge 5.2.3.1-1 packaging for shorewall-lite
  * Run wrap-and-sort.
  * d/.gitignore
    + add file to ignore build artefacts
  * d/build-htmldocs:
    + suppress warning if html directory exists
  * d/clean, d/rules:
    + clean up build
  * d/compat, d/control
    + remove compat and add a build-dep on `debhelper-compat = 13` to control.
  * d/control
    + bump Standards-Version to 4.6.2
    + set Rules-Requires-Root: no.
    + change maintainer to team+shorewall@tracker.d.o
    + add myself as uploader.
    + add Romain Francoise to uploaders.
    + update home-page.
    + update Vcs-* fields to point to Salsa
    + replace perl dependency with ${perl:Depends}.
    + remove superfluous perl dependency.
    + remove obsolete packages from `Replaces:`
    + remove obsolete packages from `Conflicts:`
    + remove obsolete packages from `Depends:`
    + remove obsolete version restrictions from `Depends:`
    + remove obsolete package from `Breaks:`
    + add pre-dep's on `${misc:Pre-Depends}` for
      `invoke-rc.d --skip-systemd-native`.
  * d/control, d/rules
    + add strict versioned dependency on substvars
    + support `nodoc` build-profile
  * d/copyright
    + update and convert to format to DEP-5
    + add myself to debian/*.
  * d/*.dirs
    + trim directories are created by dh or during install
  * d/patches
    + refresh debian config patch
    + add patch to remove deprecated StandardOutput from service files
      (Closes: #971855)
    + add patch to fix `-x` test in init-script (Closes: #932473)
    + add patch to document systemd services
  * d/README.source
    + add a file to explain the new single source package set up
  * d/rules
    + remove redundant `true` statements from overrides.
    + remove unnecessary clean-up commands.
    + remove dh_auto_clean override
    + remove overrides of dh_fixperms: the excluded paths no longer exist.
    + delete empty directories
    + correct spelling of `dh_installinit --only-scripts`.
  * d/rules, d/shorewall.{post,pre}*
    + use dh-generated maint-script snippets to manage shorewall service.
  * d/rules, d/shorewall6.{post,pre}*
    + use dh-generated maint-script snippets to manage shorewall6 service.
  * d/rules, d/shorewall6-lite.prerm
    + use dh-generated maint-script snippets to manage shorewall6-lite service.
  * d/rules
    + use dh-generated maint-script snippets to manage shorewall-init service.
  * d/rules, d/shorewall-lite.prerm
    + use dh-generated maint-script snippets to manage shorewall-lite service.
  * d/*.post*
    + use `set -e` to pacify lintian.
  * d/shorewall.postinst
    + delete code removing obsolete postrm script.
  * d/shorewall.postrm
    + remove clean-up code for obsolete upgrade
  * d/shorewall6-lite.{pre,post}*
    + remove scripts related to upgrading from an ancient version of Shorewall.
  * d/shorewall-lite.{pre,post}*
    + remove scripts related to upgrading from an ancient version of Shorewall.
  * d/shorewall.{lintian-overrides,postinst}
    + remove path from shorewall in postinst.
  * d/shorewall6.{lintian-overrides,postinst}
    + remove path from shorewall6 in postinst.
  * d/shorewall.lintian-overrides
    + rename man-page tag.
    + override report about unusual WantedBy target.
    + update format
    + suppress warning about non-rST action.RST file
    + suppress warning about spare man-page
  * d/shorewall6.lintian-overrides
    + override report about unusual WantedBy target.
    + update format
  * d/shorewall6-lite.lintian-overrides
    + override report about unusual WantedBy target.
    + update format
  * d/shorewall-core.lintian-overrides
    + rename man-page tag.
  * d/shorewall-init.lintian-overrides
    + rename man-page tag.
    + override report about unusual WantedBy target.

