=== debian/control ===
Source: shorewall
Section: net
Priority: optional
Maintainer: Debian Shorewall Team <team+shorewall@tracker.debian.org>
Uploaders: Romain Francoise <rfrancoise@debian.org>,
           Roberto C. Sanchez <roberto@connexer.com>,
           Jeremy Sowden <jeremy@azazel.net>
Homepage: https://www.shorewall.org/
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: docbook-xml <!nodoc>,
                     docbook-xsl <!nodoc>,
                     xsltproc <!nodoc>
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/shorewall-team/shorewall
Vcs-Git: https://salsa.debian.org/shorewall-team/shorewall.git

Package: shorewall
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: bc,
         iproute2,
         iptables,
         shorewall-core (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends}
Recommends: libnetfilter-cthelper0
Suggests: make, shorewall-doc
Description: Shoreline Firewall, netfilter configurator
 Shorewall allows firewall/gateway requirements to be described using
 entries in a set of configuration files. It reads those configuration
 files and, with the help of the iptables utility, configures
 netfilter to match these requirements.
 .
 Shorewall supports a wide range of router/firewall/gateway applications,
 traffic shaping and almost every type of VPN.

Package: shorewall6
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: iproute2,
         iptables,
         libio-socket-inet6-perl,
         shorewall (= ${binary:Version}),
         ${misc:Depends}
Description: Shoreline Firewall (IPv6 version), netfilter configurator
 Shorewall6 allows firewall/gateway requirements to be described using
 entries in a set of configuration files. It reads those configuration
 files and, with the help of the iptables utility, configures
 netfilter to match these requirements.
 .
 Shorewall6 supports a wide range of router/firewall/gateway applications,
 traffic shaping and almost every type of VPN.
 .
 This package contains IPv6 support.

Package: shorewall6-lite
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: iproute2,
         iptables,
         shorewall-core (= ${binary:Version}),
         ${misc:Depends}
Suggests: make, shorewall-doc
Conflicts: ferm, filtergen, guidedog, uif
Recommends: wget
Description: Shorewall (lite version with IPv6 support)
 Shorewall6 allows you to describe your firewall/gateway requirements using
 entries in a set of configuration files. It reads those configuration files
 and, with the help of the iptables utility, configures Netfilter to match your
 requirements.
 .
 Shorewall6 supports a wide range of router/firewall/gateway applications,
 traffic shaping and almost every type of VPN.
 .
 The shorewall6-lite package is designed to allow you to maintain all Shorewall
 configuration information on a single system within your network.
 .
 This package contains IPv6 support.

Package: shorewall-core
Architecture: all
Depends: bc, iproute2, iptables, ${misc:Depends}
Description: Shorewall core components
 This package provides the core Shorewall components, which are required
 for the rest of the Shorewall packages to work.
 .
 There is not an especially good reason to have this package installed all
 by itself.

Package: shorewall-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends: ${misc:Depends}
Suggests: shorewall
Description: documentation for Shoreline Firewall (Shorewall)
 Shorewall is an iptables based firewall that can be used on a dedicated
 firewall system, a multi-function masquerade gateway/server or on a standalone
 Linux system.
 .
 This package contains the shorewall HTML documentation.

Package: shorewall-init
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: shorewall | shorewall6 | shorewall-lite | shorewall6-lite,
         ${misc:Depends}
Description: Shorewall initialization
 This package provides two related features:
 .
    a)  It allows the firewall to be closed prior to bringing up
        network devices. This insures that unwanted connections are not
        allowed between the time that the network comes up and when the
        firewall is started.
 .
    b)  It integrates with NetworkManager and distribution ifup/ifdown
        systems to allow for 'event-driven' startup and shutdown.
 .
 The two facilities can be enabled separately.
 .
 When Shorewall-init is first installed, it does nothing until you
 configure it.

Package: shorewall-lite
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: bc,
         iproute2,
         iptables,
         shorewall-core (= ${binary:Version}),
         ${misc:Depends}
Suggests: make, shorewall-doc
Conflicts: ferm, filtergen, guidedog, uif
Recommends: wget
Description: Shorewall (lite version), a high-level tool for configuring Netfilter
 Shorewall allows you to describe your firewall/gateway requirements using
 entries in a set of configuration files. It reads those configuration files
 and, with the help of the iptables utility, configures Netfilter to match your
 requirements.
 .
 Shorewall supports a wide range of router/firewall/gateway applications,
 traffic shaping and almost every type of VPN.
 .
 The shorewall-lite package is designed to allow you to maintain all Shorewall
 configuration information on a single system within your network.
