=== debian/watch ===
version=4

opts="pgpmode=auto" \
  https://www.shorewall.org/pub/@PACKAGE@/@ANY_VERSION@/@PACKAGE@-@ANY_VERSION@/ \
  @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ \
  debian
opts="pgpmode=auto,component=@PACKAGE@6" \
  https://www.shorewall.org/pub/@PACKAGE@/@ANY_VERSION@/@PACKAGE@-@ANY_VERSION@/ \
  @PACKAGE@6-@ANY_VERSION@@ARCHIVE_EXT@ \
  same
opts="pgpmode=auto,component=@PACKAGE@6-lite" \
  https://www.shorewall.org/pub/@PACKAGE@/@ANY_VERSION@/@PACKAGE@-@ANY_VERSION@/ \
  @PACKAGE@6-lite-@ANY_VERSION@@ARCHIVE_EXT@ \
  same
opts="pgpmode=auto,component=@PACKAGE@-core" \
  https://www.shorewall.org/pub/@PACKAGE@/@ANY_VERSION@/@PACKAGE@-@ANY_VERSION@/ \
  @PACKAGE@-core-@ANY_VERSION@@ARCHIVE_EXT@ \
  same
opts="pgpmode=auto,component=@PACKAGE@-docs-xml" \
  https://www.shorewall.org/pub/@PACKAGE@/@ANY_VERSION@/@PACKAGE@-@ANY_VERSION@/ \
  @PACKAGE@-docs-xml-@ANY_VERSION@@ARCHIVE_EXT@ \
  same
opts="pgpmode=auto,component=@PACKAGE@-init" \
  https://www.shorewall.org/pub/@PACKAGE@/@ANY_VERSION@/@PACKAGE@-@ANY_VERSION@/ \
  @PACKAGE@-init-@ANY_VERSION@@ARCHIVE_EXT@ \
  same
opts="pgpmode=auto,component=@PACKAGE@-lite" \
  https://www.shorewall.org/pub/@PACKAGE@/@ANY_VERSION@/@PACKAGE@-@ANY_VERSION@/ \
  @PACKAGE@-lite-@ANY_VERSION@@ARCHIVE_EXT@ \
  same
